Subject: bug#51456: closed (Re: bug#51456: website: Language selection dropdown not translated)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Nov 2021 15:09:02 +0000

Your bug report

#51456: website: Language selection dropdown not translated

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51456: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51456
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51456: website: Language selection dropdown not translated
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: [email-masked]
Date: Tue, 2 Nov 2021 16:08:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Oct 28, 2021 at 12:09:56PM +0200, pelzflorian (Florian Pelz) wrote:
> On Thu, Oct 28, 2021 at 10:13:49AM +0200, pelzflorian (Florian Pelz) wrote:
> > Is the proper solution to symlink all lingua-mo-files, i.e. reinstate
> > from before commit 4d5bf8522e2 a for-each like
> > 
> > (for-each
> >  (lambda (lingua mo-directory)
> >          (symlink (string-append mo-directory "/" lingua)
> >                   lingua))
> >  (list #$@%linguas)
> >  '#$(map lingua-mo-files %linguas))
> > 
> > (I have not tried.)
> 
> Seems to work.  I have guix build -f .guix.scm but only one lingua got
> built so far, it looks right.  Patch attached.  Shall I push or …
> > Or should website/apps/base/templates/components.scm look up the
> > language dropdown’s language names in a different way such as from the
> > PO file, which is more complicated?

Patch pushed as f2ac98776b321755b672a8f6a1b07d4ab10fff7c.

This undid some of Ludo’s 3689f95c7f197ca83fd78b4e1693c18779da8bb1 and
4d5bf8522e24e2939968dc40ab1ff9809e423ac6, but it seems the only clean
solution.

Regards,
Florian

Subject: website: Language selection dropdown not translated
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Thu, 28 Oct 2021 10:13:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludo recently divided building the website into one computed file for
each language (“lingua”) in order to offload the build (a good thing;
thank you Ludo).

However, this includes making available for each lingua only the
translations MO file for that lingua.

Specifically .guix.scm now links only that file:

(symlink (string-append #$(lingua-mo-files lingua) "/" lingua)
         lingua)

But on the website, there is a language selection dropdown at the top
right and the names of alternative language are taken from that
language’s MO file.

Because the build does not have available all MO files anymore, all
foreign languages are now called English.

(Another effect is that the contact web page only lists the German
message for the Help mailing list on the German website but meh …)

Is the proper solution to symlink all lingua-mo-files, i.e. reinstate
from before commit 4d5bf8522e2 a for-each like

(for-each
 (lambda (lingua mo-directory)
         (symlink (string-append mo-directory "/" lingua)
                  lingua))
 (list #$@%linguas)
 '#$(map lingua-mo-files %linguas))

(I have not tried.)

Or should website/apps/base/templates/components.scm look up the
language dropdown’s language names in a different way such as from the
PO file, which is more complicated?

Regards,
Florian